PHP-инклюдинг в CMS-Bandits

Дата публикации:
14.06.2006
Дата изменения:
24.03.2009
Всего просмотров:
1223
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CMS-Bandits 2.x
Уязвимые версии: CMS-Bandits 2.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "spaw_root" в сценариях dialogs/img.php и dialogs/td.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://victim/cms/dialogs/td.php?spaw_root=[cmd_with_final_slash]
http://victim/cms/dialogs/img.php?spaw_root=[cmd_with_final_slash]

URL производителя: sourceforge.net/projects/cms-bandits

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: cms-bandits 2.5, Remote command execution

или введите имя

CAPTCHA